# {{ ansible_managed }}

#------------------------------------------------------------------------------
# FILE LOCATIONS
#------------------------------------------------------------------------------
data_directory = '{{ postgresql_data_directory }}'
hba_file = '{{ postgresql_etc_directory}}/pg_hba.conf'
ident_file = '{{ postgresql_etc_directory }}/pg_ident.conf'

external_pid_file = '/var/run/postgresql/{{ postgresql_version }}-{{ postgresql_cluster }}.pid'


#------------------------------------------------------------------------------
# CONNECTIONS AND AUTHENTICATION
#------------------------------------------------------------------------------
listen_addresses = '{{ postgresql_listen_addresses }}'
port = {{ postgresql_listen_port }}
max_connections = {{ postgresql_max_connections }}

unix_socket_directories = '/var/run/postgresql'

ssl = on
ssl_cert_file = '/etc/ssl/certs/ssl-cert-snakeoil.pem'
ssl_key_file = '/etc/ssl/private/ssl-cert-snakeoil.key'


#------------------------------------------------------------------------------
# RESOURCE USAGE (except WAL)
#------------------------------------------------------------------------------
shared_buffers = 128MB
dynamic_shared_memory_type = posix


#------------------------------------------------------------------------------
# WRITE-AHEAD LOG
#------------------------------------------------------------------------------
max_wal_size = 1GB
min_wal_size = 80MB


#------------------------------------------------------------------------------
# REPORTING AND LOGGING
#------------------------------------------------------------------------------
log_line_prefix = '%m [%p] %q%u@%d '
log_timezone = 'Europe/Amsterdam'


#------------------------------------------------------------------------------
# PROCESS TITLE
#------------------------------------------------------------------------------
cluster_name = '{{ postgresql_version }}/{{ postgresql_cluster }}'


#------------------------------------------------------------------------------
# STATISTICS
#------------------------------------------------------------------------------
stats_temp_directory = '/var/run/postgresql/{{ postgresql_version }}-{{ postgresql_cluster }}.pg_stat_tmp'


#------------------------------------------------------------------------------
# CLIENT CONNECTION DEFAULTS
#------------------------------------------------------------------------------
datestyle = 'iso, mdy'

timezone = 'Europe/Amsterdam'
lc_messages = '{{ postgresql_locale }}'
lc_monetary = '{{ postgresql_locale }}'
lc_numeric = '{{ postgresql_locale }}'
lc_time = '{{ postgresql_locale }}'

default_text_search_config = 'pg_catalog.english'


#------------------------------------------------------------------------------
# CONFIG FILE INCLUDES
#------------------------------------------------------------------------------
include_dir = 'conf.d'
